#ifndef _INC_CPIA2SHOT_H_
#define _INC_CPIA2SHOT_H_

#include "linux_usbif.h"
#include "cpia2.h"

unsigned char * jpeg_decode(unsigned char *,int, int * );
void end_jpeg(void);

#ifdef REQ_CPIA2VIEW
extern GdkImlibImage *get_new_frame(GdkImlibImage *);
extern GdkImlibImage *get_first_frame(GdkImlibImage *);

#define	ERRNUM_LIMITS	3
extern int errnum;
#endif /* REQ_CPIA2VIEW */

#endif /* _INC_CPIA2SHOT_H_ */
